var env = require('../env')
  , configCouch = require('../config/config-couchdb')
  , designDocs = require('../config/couchdb-design-docs')
  ;

console.log("Using CouchDB on",env.couchServerURL+env.dbName);

require('../app').App(env)
.then(function(app){
    app.listen(env.port, function() {
        console.log('Listening on port',env.port);
    });
}, function(error){
    console.error(error);
});
